| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Static Protected Member Functions | Properties | Private Attributes | Static Private Attributes

# IG::Forms::ReporterForms Class Reference

Reporting system that in particular utilizes forms. Beside the main delegates for assembling location and message strings, this class has three additional delegates for each kind of reporting (i.e. reporting with console consform, message box, fading message or console) More...

Inheritance diagram for IG::Forms::ReporterForms:
[legend]
Collaboration diagram for IG::Forms::ReporterForms:
[legend]

List of all members.

## Public Member Functions
| ReporterForms ()
| Constructor. Initializes all error reporting delegates to default values and sets auxliary object to null. Auxiliary object Obj is set to null.
| ReporterForms (object obj, ReportDelegate reportdelegate, ReportLocationDelegate locationdelegate, ReportMessageDelegate messagedelegate, ReserveReportErrorDelegate reservereportdelegate)
| Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates that are not specified (have a null reference) are set to default values.
| ReporterForms (object obj, ReportDelegate reportdelegate, ReportLocationDelegate locationdelegate, ReportMessageDelegate messagedelegate)
| Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates that are not specified are set to default values.
| ReporterForms (object obj, ReportDelegate reportdelegate)
| Constructor. Initializes the error reporter by the specified auxiliary object and the delegate to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates for assembling the error location string and error message string are set to their default values, which are adapted to console-like eror reporting systems.
| ReporterForms (object obj, ReportDelegate reportdelegate, ReserveReportErrorDelegate reservereportdelegate)
| Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates for assembling the error locatin and error message string are set to their default values, which are adapted to console-like eror reporting systems.
override void | Report (ReportType messagetype, string location, string message, Exception ex)
| Basic method for reporting by this class (i.e., reporting by forms).
## Static Public Member Functions
static void | DefaultReserveReportErrorForms (ReporterBase reporter, ReportType messagetype, string location, string message, Exception ex, Exception ex1)
| Default function function for reserve error reporting (called if an exception is thrown in an error reporting function):
## Public Attributes
ConsoleForm | ConsoleForm = null
| Console consform used for reporting. If null then global console consform is used (this is the matter of delegate methods).
ReportDelegate | ReportDlgConsoleForm = new ReportDelegate(DefaultReport_ConsoleForm)
| Delegate that performs error reporting via console consform. It calls delegates ReportDlg to assemble error location information and ReportMessageDlg to assemble error message. Then it uses both to assemble the final decorated error message and launches it in its own way.
ReportLocationDelegate | ReportLocationDlgConsoleForm = new ReportLocationDelegate(DefaultReportLocation_ConsoleForm)
| Delegate that assembles the error location string for reporting via console consform.
ReportMessageDelegate | ReportMessageDlgConsoleForm = new ReportMessageDelegate(DefaultReportMessage_ConsoleForm)
| Delegate that assembles the eror message string for reporting via console consform.
int | FadeMessageShowtime = 4000
| Fading message visibility time in milliseconds.
double | FadeMessageFadingTimePortion = 0.25
| Portion of visibility time when the message is fading.
Color | FadeMessageBackColor = Color.Orange
| Actibe background color of the fading message.
Color | FadeMessageBackColorFinal = Color.DarkGray
| Final (fade) background color of the fading message.
Color | FadeMessageForeColor = Color.Blue
| Text color of the fading message.
ReportDelegate | ReportDlgFadeMessage = new ReportDelegate(DefaultReport_FadeMessage)
| Delegate that performs error reporting via fading message. It calls delegates ReportDlg to assemble error location information and ReportMessageDlg to assemble error message. Then it uses both to assemble the final decorated error message and launches it in its own way.
ReportLocationDelegate | ReportLocationDlgFadeMessage = new ReportLocationDelegate(DefaultReportLocation_FadeMessage)
| Delegate that assembles the error location string for reporting via fading message.
ReportMessageDelegate | ReportMessageDlgFadeMessage = new ReportMessageDelegate(DefaultReportMessage_FadeMessage)
| Delegate that assembles the eror message string for reporting via fading message.
ReportDelegate | ReportDlgConsole = new ReportDelegate(DefaultReport_Console)
| Delegate that performs error reporting via console. It calls delegates ReportDlg to assemble error location information and ReportMessageDlg to assemble error message. Then it uses both to assemble the final decorated error message and launches it in its own way.
ReportLocationDelegate | ReportLocationDlgConsole = new ReportLocationDelegate(DefaultReportLocation_Console)
| Delegate that assembles the error location string for reporting via console.
ReportMessageDelegate | ReportMessageDlgConsole = new ReportMessageDelegate(DefaultReportMessage_Console)
| Delegate that assembles the eror message string for reporting via console.
ReportDelegate | ReportDlgMessageBox = new ReportDelegate(DefaultReport_MessageBox)
| Delegate that performs error reporting via message box. It calls delegates ReportDlg to assemble error location information and ReportMessageDlg to assemble error message. Then it uses both to assemble the final decorated error message and launches it in its own way.
ReportLocationDelegate | ReportLocationDlgMessageBox = new ReportLocationDelegate(DefaultReportLocation_MessageBox)
| Delegate that assembles the error location string for reporting via message box.
ReportMessageDelegate | ReportMessageDlgMessageBox = new ReportMessageDelegate(DefaultReportMessage_MessageBox)
| Delegate that assembles the eror message string for reporting via message box.
## Protected Member Functions
override void | SetDefaultReportDlg ()
| Sets the error reporting delegate to the default value. The default delegate does not utilize the auxiliary object (and can be mixed with the delegates that do.)
override void | SetDefaultReportLocationDlg ()
| Sets the error location assembling delegate to the default value. The default delegate does not utilize the auxiliary object (and can be mixed with the delegates that do.)
override void | SetDefaultReportMessageDlg ()
| Sets the error message assembling delegate to the default value. The default delegate does not utilize the auxiliary object (and can be mixed with the delegates that do.)
override void | SetDefaultReserveReportErrorDlg ()
| Sets the reserve error reporting delegate to the default value. The default delegate does not utilize the auxiliary object (and can be mixed with the delegates that do.)
override void | ReserveReportErrorSpecific (ReportType messagetype, string location, string message, Exception ex, Exception ex1)
| Used to report errors within reporting functions. Designed to be bullet proof in order to ensure that improper behavior of the reporting system does not remain unnoticed. Overrides the method of the base class in order to show the message in forms rather than just in a console.
virtual void | Report_ConsoleForm (ReportType messagetype, string location, string message, Exception ex)
| Launches a report via console consform. Report is launched by using special delegates for this kind of reporting. If the corresponding delegates for error location and message are not specified then general delegates are used for this purporse, or location and message string are simple assembled by this function.
virtual void | Report_FadeMessage (ReportType messagetype, string location, string message, Exception ex)
| Launches a report via fading message. Report is launched by using special delegates for this kind of reporting. If the corresponding delegates for error location and message are not specified then general delegates are used for this purporse, or location and message string are simple assembled by this function.
virtual void | Report_Console (ReportType messagetype, string location, string message, Exception ex)
| Launches a report via console. Report is launched by using special delegates for this kind of reporting. If the corresponding delegates for error location and message are not specified then general delegates are used for this purporse, or location and message string are simple assembled by this function.
virtual void | Report_MessageBox (ReportType messagetype, string location, string message, Exception ex)
| Launches a report via message box. Report is launched by using special delegates for this kind of reporting. If the corresponding delegates for error location and message are not specified then general delegates are used for this purporse, or location and message string are simple assembled by this function.
## Static Protected Member Functions
static void | DefaultReport_ConsoleForm (ReporterBase reporter, ReportType messagetype, string location, string message)
| Delegat for launching a report via console consform.
static string | DefaultReportLocation_ConsoleForm (ReporterBase reporter, ReportType messagetype, string location, Exception ex)
| Delegate for assembling a location string for this kind of report.
static string | DefaultReportMessage_ConsoleForm (ReporterBase reporter, ReportType messagetype, string basicmessage, Exception ex)
| Delegate for assembling a report message for this kind of report.
static void | DefaultReport_FadeMessage (ReporterBase reporter, ReportType messagetype, string location, string message)
| Delegat for launching a report via fading message.
static string | DefaultReportLocation_FadeMessage (ReporterBase reporter, ReportType messagetype, string location, Exception ex)
| Delegate for assembling a location string for this kind of report.
static string | DefaultReportMessage_FadeMessage (ReporterBase reporter, ReportType messagetype, string basicmessage, Exception ex)
| Delegate for assembling a report message for this kind of report.
static void | DefaultReport_Console (ReporterBase reporter, ReportType messagetype, string location, string message)
| Delegat for launching a report via console.
static string | DefaultReportLocation_Console (ReporterBase reporter, ReportType messagetype, string location, Exception ex)
| Delegate for assembling a location string for this kind of report.
static string | DefaultReportMessage_Console (ReporterBase reporter, ReportType messagetype, string basicmessage, Exception ex)
| Delegate for assembling a report message for this kind of report.
static void | DefaultReport_MessageBox (ReporterBase reporter, ReportType messagetype, string location, string message)
| Delegat for launching a report via message box.
static string | DefaultReportLocation_MessageBox (ReporterBase reporter, ReportType messagetype, string location, Exception ex)
| Delegate for assembling a location string for this kind of report.
static string | DefaultReportMessage_MessageBox (ReporterBase reporter, ReportType messagetype, string basicmessage, Exception ex)
| Delegate for assembling a report message for this kind of report.
## Properties
static new bool | GlobalInitialized`[get]`
| Gets the value indicating whether the global reporter of this class has already been initialized.
static new ReporterForms | Global`[get, set]`
| Gets the global reporter object. This is typically used for configuring the global reporter.
bool | UseConsoleForm`[get, set]`
| Gets or sets the flag specifying whether reporting using a console form is performed or not.
bool | UseFadeMessage`[get, set]`
| Gets or sets the flag specifying whether reporting using a fadinfg messagebox is performed or not.
bool | UseConsole`[get, set]`
| Gets or sets the flag specifying whether reporting using a system console is performed or not.
bool | UseMessageBox`[get, set]`
| Gets or sets the flag specifying whether reporting using a message box is performed or not.
## Private Attributes
static int | MaxShownDialog = 3
bool | _UseConsoleForm = false
bool | _UseFadeMessage = false
bool | _UseConsole = false
bool | _UseMessageBox = false
## Static Private Attributes
static ReporterForms | _Global = new ReporterForms()
static bool | _GlobalInitialized = false
static int | NumShownDialog = 0

## Detailed Description

Reporting system that in particular utilizes forms. Beside the main delegates for assembling location and message strings, this class has three additional delegates for each kind of reporting (i.e. reporting with console consform, message box, fading message or console)

The Reporting class objects can be extended with appropriate delegates to use forms, while ReporterForms itself contains implementation of methods that utilize several standard forms suitable for reporting.

## Constructor & Destructor Documentation

IG::Forms::ReporterForms::ReporterForms | ( |  | ) | `[inline]`

Constructor. Initializes all error reporting delegates to default values and sets auxliary object to null. Auxiliary object Obj is set to null.

IG::Forms::ReporterForms::ReporterForms | ( | object | obj,
|  | ReportDelegate | reportdelegate,
|  | ReportLocationDelegate | locationdelegate,
|  | ReportMessageDelegate | messagedelegate,
|  | ReserveReportErrorDelegate | reservereportdelegate
| ) |  | `[inline]`

Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates that are not specified (have a null reference) are set to default values.

Parameters:

  obj | Auxiliary object that will be passed to error reporting delegates when called in local methods.
  reportdelegate | Delegates that is called to launc an error report. Methods of this class will pass to this class the auxiliary object, location strings assembled by the location assembling delegate, and error message string assembled by the error message delegate.
  locationdelegate | Delegate that is called to assemble the error location string. The Auxiliary object this.Obj will be internally passed to this delegate any time it is called.
  messagedelegate | Delegate that is called to assemble the error message (without decorations). The Auxiliary object this.Obj will be internally passed to this delegate any time it is called.
  reservereportdelegate | Delegate that is called to report exceptions that occur within error reporting methods. In particular, this must ne as bullet proof as possible.

IG::Forms::ReporterForms::ReporterForms | ( | object | obj,
|  | ReportDelegate | reportdelegate,
|  | ReportLocationDelegate | locationdelegate,
|  | ReportMessageDelegate | messagedelegate
| ) |  | `[inline]`

Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates that are not specified are set to default values.

IG::Forms::ReporterForms::ReporterForms | ( | object | obj,
|  | ReportDelegate | reportdelegate
| ) |  | `[inline]`

Constructor. Initializes the error reporter by the specified auxiliary object and the delegate to perform error reporting tasks. Reserve error reporting delegate is initialized to a default value. Delegates for assembling the error location string and error message string are set to their default values, which are adapted to console-like eror reporting systems.

IG::Forms::ReporterForms::ReporterForms | ( | object | obj,
|  | ReportDelegate | reportdelegate,
|  | ReserveReportErrorDelegate | reservereportdelegate
| ) |  | `[inline]`

Constructor. Initializes the error reporter by the specified auxiliary object and delegates used to perform error reporting tasks. Delegates for assembling the error locatin and error message string are set to their default values, which are adapted to console-like eror reporting systems.

Parameters:

  obj | Auxiliary object that will be passed to error reporting delegates when called in local methods.
  reportdelegate | Delegates that is called to launc an error report. Methods of this class will pass to this class the auxiliary object, location strings assembled by the location assembling delegate, and error message string assembled by the error message delegate.
  reservereportdelegate | Delegate that is called to report exceptions that occur within error reporting methods. In particular, this must ne as bullet proof as possible.

## Member Function Documentation

override void IG::Forms::ReporterForms::SetDefaultReportDlg | ( |  | ) | `[inline, protected, virtual]`

Sets the error reporting delegate to the default value. The default delegate does not utilize the auxiliary object (and can be mixed with the delegates that do.)

Reimplemented from IG::Lib::ReporterBase.

override void IG::Forms::ReporterForms::SetDefaultReportLocationDlg | ( |  | ) | `[inline, protected, virtual]`

Sets the error location assembling delegate to the default value. The default delegate does not utilize the auxiliary object (and can be mixed with the delegates that do.)

Reimplemented from IG::Lib::ReporterBase.

override void IG::Forms::ReporterForms::SetDefaultReportMessageDlg | ( |  | ) | `[inline, protected, virtual]`

Sets the error message assembling delegate to the default value. The default delegate does not utilize the auxiliary object (and can be mixed with the delegates that do.)

Reimplemented from IG::Lib::ReporterBase.

override void IG::Forms::ReporterForms::SetDefaultReserveReportErrorDlg | ( |  | ) | `[inline, protected, virtual]`

Sets the reserve error reporting delegate to the default value. The default delegate does not utilize the auxiliary object (and can be mixed with the delegates that do.)

Reimplemented from IG::Lib::ReporterBase.

static void IG::Forms::ReporterForms::DefaultReserveReportErrorForms | ( | ReporterBase | reporter,
|  | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex,
|  | Exception | ex1
| ) |  | `[inline, static]`

Default function function for reserve error reporting (called if an exception is thrown in an error reporting function):

Parameters:

  reporter | Reporter object whre the method can get additional information.
  messagetype | Level of the message (Error, Warning,Info, etc.)
  location | Location string as passed to the error reporting function that has thrown an exception.
  message | Error message string as passed to the error reporting function that has thrown an exception.
  ex | Original exception that was being reported when the error reporting function threw an exception.
  ex1 | Exception thrown by the error reporting function.

override void IG::Forms::ReporterForms::ReserveReportErrorSpecific | ( | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex,
|  | Exception | ex1
| ) |  | `[inline, protected, virtual]`

Used to report errors within reporting functions. Designed to be bullet proof in order to ensure that improper behavior of the reporting system does not remain unnoticed. Overrides the method of the base class in order to show the message in forms rather than just in a console.

Parameters:

  messagetype |
  location |
  message |
  ex |
  ex1 |

Reimplemented from IG::Lib::ReporterBase.

override void IG::Forms::ReporterForms::Report | ( | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex
| ) |  | `[inline, virtual]`

Basic method for reporting by this class (i.e., reporting by forms).

Parameters:

  reporter | Reporter object where additional data can be found.
  messagetype | The type of the report (e.g. Error, Warning, etc.).
  location | User-provided description of error location.
  message | User-provided description of error.
  ex | Exception thrown when error occurred.

Reimplemented from IG::Lib::ReporterBase.

static void IG::Forms::ReporterForms::DefaultReport_ConsoleForm | ( | ReporterBase | reporter,
|  | ReportType | messagetype,
|  | string | location,
|  | string | message
| ) |  | `[inline, static, protected]`

Delegat for launching a report via console consform.

Parameters:

  reporter | Reporter object where additional information can be found.
  messagetype | Type of the report(Error, Warning, Info...).
  location | Short string desctribing location where report was triggered.
  message | Message of the report.

static string IG::Forms::ReporterForms::DefaultReportLocation_ConsoleForm | ( | ReporterBase | reporter,
|  | ReportType | messagetype,
|  | string | location,
|  | Exception | ex
| ) |  | `[inline, static, protected]`

Delegate for assembling a location string for this kind of report.

Parameters:

  reporter | Reporter object where additional information can be found.
  messagetype | Type of the report(Error, Warning, Info...).
  location | User provided location string.
  ex | Exception that triggered reporting.

Returns:
  Location string that can be used in a report.

static string IG::Forms::ReporterForms::DefaultReportMessage_ConsoleForm | ( | ReporterBase | reporter,
|  | ReportType | messagetype,
|  | string | basicmessage,
|  | Exception | ex
| ) |  | `[inline, static, protected]`

Delegate for assembling a report message for this kind of report.

Parameters:

  reporter | Reporter object where additional information can be found.
  messagetype | Type of the report(Error, Warning, Info...).
  basicmessage | User provided message string.
  ex | Exception that triggered reporting.

Returns:
  Message string that can be used in a report.

virtual void IG::Forms::ReporterForms::Report_ConsoleForm | ( | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex
| ) |  | `[inline, protected, virtual]`

Launches a report via console consform. Report is launched by using special delegates for this kind of reporting. If the corresponding delegates for error location and message are not specified then general delegates are used for this purporse, or location and message string are simple assembled by this function.

Parameters:

  messagetype | Type of the report(Error, Warning, Info...).
  location | User provided location string.
  message | User provided message string.
  ex | Exception that triggered reporting.

static void IG::Forms::ReporterForms::DefaultReport_FadeMessage | ( | ReporterBase | reporter,
|  | ReportType | messagetype,
|  | string | location,
|  | string | message
| ) |  | `[inline, static, protected]`

Delegat for launching a report via fading message.

Parameters:

  reporter | Reporter object where additional information can be found.
  messagetype | Type of the report(Error, Warning, Info...).
  location | Short string desctribing location where report was triggered.
  message | Message of the report.

static string IG::Forms::ReporterForms::DefaultReportLocation_FadeMessage | ( | ReporterBase | reporter,
|  | ReportType | messagetype,
|  | string | location,
|  | Exception | ex
| ) |  | `[inline, static, protected]`

Delegate for assembling a location string for this kind of report.

Parameters:

  reporter | Reporter object where additional information can be found.
  messagetype | Type of the report(Error, Warning, Info...).
  location | User provided location string.
  ex | Exception that triggered reporting.

Returns:
  Location string that can be used in a report.

static string IG::Forms::ReporterForms::DefaultReportMessage_FadeMessage | ( | ReporterBase | reporter,
|  | ReportType | messagetype,
|  | string | basicmessage,
|  | Exception | ex
| ) |  | `[inline, static, protected]`

Delegate for assembling a report message for this kind of report.

Parameters:

  reporter | Reporter object where additional information can be found.
  messagetype | Type of the report(Error, Warning, Info...).
  basicmessage | User provided message string.
  ex | Exception that triggered reporting.

Returns:
  Message string that can be used in a report.

virtual void IG::Forms::ReporterForms::Report_FadeMessage | ( | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex
| ) |  | `[inline, protected, virtual]`

Launches a report via fading message. Report is launched by using special delegates for this kind of reporting. If the corresponding delegates for error location and message are not specified then general delegates are used for this purporse, or location and message string are simple assembled by this function.

Parameters:

  messagetype | Type of the report(Error, Warning, Info...).
  location | User provided location string.
  message | User provided message string.
  ex | Exception that triggered reporting.

static void IG::Forms::ReporterForms::DefaultReport_Console | ( | ReporterBase | reporter,
|  | ReportType | messagetype,
|  | string | location,
|  | string | message
| ) |  | `[inline, static, protected]`

Delegat for launching a report via console.

Parameters:

  reporter | Reporter object where additional information can be found.
  messagetype | Type of the report(Error, Warning, Info...).
  location | Short string desctribing location where report was triggered.
  message | Message of the report.

static string IG::Forms::ReporterForms::DefaultReportLocation_Console | ( | ReporterBase | reporter,
|  | ReportType | messagetype,
|  | string | location,
|  | Exception | ex
| ) |  | `[inline, static, protected]`

Delegate for assembling a location string for this kind of report.

Parameters:

  reporter | Reporter object where additional information can be found.
  messagetype | Type of the report(Error, Warning, Info...).
  location | User provided location string.
  ex | Exception that triggered reporting.

Returns:
  Location string that can be used in a report.

static string IG::Forms::ReporterForms::DefaultReportMessage_Console | ( | ReporterBase | reporter,
|  | ReportType | messagetype,
|  | string | basicmessage,
|  | Exception | ex
| ) |  | `[inline, static, protected]`

Delegate for assembling a report message for this kind of report.

Parameters:

  reporter | Reporter object where additional information can be found.
  messagetype | Type of the report(Error, Warning, Info...).
  basicmessage | User provided message string.
  ex | Exception that triggered reporting.

Returns:
  Message string that can be used in a report.

virtual void IG::Forms::ReporterForms::Report_Console | ( | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex
| ) |  | `[inline, protected, virtual]`

Launches a report via console. Report is launched by using special delegates for this kind of reporting. If the corresponding delegates for error location and message are not specified then general delegates are used for this purporse, or location and message string are simple assembled by this function.

Parameters:

  messagetype | Type of the report(Error, Warning, Info...).
  location | User provided location string.
  message | User provided message string.
  ex | Exception that triggered reporting.

static void IG::Forms::ReporterForms::DefaultReport_MessageBox | ( | ReporterBase | reporter,
|  | ReportType | messagetype,
|  | string | location,
|  | string | message
| ) |  | `[inline, static, protected]`

Delegat for launching a report via message box.

Parameters:

  reporter | Reporter object where additional information can be found.
  messagetype | Type of the report(Error, Warning, Info...).
  location | Short string desctribing location where report was triggered.
  message | Message of the report.

static string IG::Forms::ReporterForms::DefaultReportLocation_MessageBox | ( | ReporterBase | reporter,
|  | ReportType | messagetype,
|  | string | location,
|  | Exception | ex
| ) |  | `[inline, static, protected]`

Delegate for assembling a location string for this kind of report.

Parameters:

  reporter | Reporter object where additional information can be found.
  messagetype | Type of the report(Error, Warning, Info...).
  location | User provided location string.
  ex | Exception that triggered reporting.

Returns:
  Location string that can be used in a report.

static string IG::Forms::ReporterForms::DefaultReportMessage_MessageBox | ( | ReporterBase | reporter,
|  | ReportType | messagetype,
|  | string | basicmessage,
|  | Exception | ex
| ) |  | `[inline, static, protected]`

Delegate for assembling a report message for this kind of report.

Parameters:

  reporter | Reporter object where additional information can be found.
  messagetype | Type of the report(Error, Warning, Info...).
  basicmessage | User provided message string.
  ex | Exception that triggered reporting.

Returns:
  Message string that can be used in a report.

virtual void IG::Forms::ReporterForms::Report_MessageBox | ( | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex
| ) |  | `[inline, protected, virtual]`

Launches a report via message box. Report is launched by using special delegates for this kind of reporting. If the corresponding delegates for error location and message are not specified then general delegates are used for this purporse, or location and message string are simple assembled by this function.

Parameters:

  messagetype | Type of the report(Error, Warning, Info...).
  location | User provided location string.
  message | User provided message string.
  ex | Exception that triggered reporting.

## Member Data Documentation

ReporterForms IG::Forms::ReporterForms::_Global = new ReporterForms()`[static, private]`

Reimplemented from IG::Lib::ReporterBase.

bool IG::Forms::ReporterForms::_GlobalInitialized = false`[static, private]`

Reimplemented from IG::Lib::ReporterBase.

int IG::Forms::ReporterForms::NumShownDialog = 0`[static, private]`

int IG::Forms::ReporterForms::MaxShownDialog = 3`[private]`

bool IG::Forms::ReporterForms::_UseConsoleForm = false`[private]`

ConsoleForm IG::Forms::ReporterForms::ConsoleForm = null

Console consform used for reporting. If null then global console consform is used (this is the matter of delegate methods).

ReportDelegate IG::Forms::ReporterForms::ReportDlgConsoleForm = new ReportDelegate(DefaultReport_ConsoleForm)

Delegate that performs error reporting via console consform. It calls delegates ReportDlg to assemble error location information and ReportMessageDlg to assemble error message. Then it uses both to assemble the final decorated error message and launches it in its own way.

ReportLocationDelegate IG::Forms::ReporterForms::ReportLocationDlgConsoleForm = new ReportLocationDelegate(DefaultReportLocation_ConsoleForm)

Delegate that assembles the error location string for reporting via console consform.

ReportMessageDelegate IG::Forms::ReporterForms::ReportMessageDlgConsoleForm = new ReportMessageDelegate(DefaultReportMessage_ConsoleForm)

Delegate that assembles the eror message string for reporting via console consform.

bool IG::Forms::ReporterForms::_UseFadeMessage = false`[private]`

int IG::Forms::ReporterForms::FadeMessageShowtime = 4000

Fading message visibility time in milliseconds.

double IG::Forms::ReporterForms::FadeMessageFadingTimePortion = 0.25

Portion of visibility time when the message is fading.

Color IG::Forms::ReporterForms::FadeMessageBackColor = Color.Orange

Actibe background color of the fading message.

Color IG::Forms::ReporterForms::FadeMessageBackColorFinal = Color.DarkGray

Final (fade) background color of the fading message.

Color IG::Forms::ReporterForms::FadeMessageForeColor = Color.Blue

Text color of the fading message.

ReportDelegate IG::Forms::ReporterForms::ReportDlgFadeMessage = new ReportDelegate(DefaultReport_FadeMessage)

Delegate that performs error reporting via fading message. It calls delegates ReportDlg to assemble error location information and ReportMessageDlg to assemble error message. Then it uses both to assemble the final decorated error message and launches it in its own way.

ReportLocationDelegate IG::Forms::ReporterForms::ReportLocationDlgFadeMessage = new ReportLocationDelegate(DefaultReportLocation_FadeMessage)

Delegate that assembles the error location string for reporting via fading message.

ReportMessageDelegate IG::Forms::ReporterForms::ReportMessageDlgFadeMessage = new ReportMessageDelegate(DefaultReportMessage_FadeMessage)

Delegate that assembles the eror message string for reporting via fading message.

bool IG::Forms::ReporterForms::_UseConsole = false`[private]`

ReportDelegate IG::Forms::ReporterForms::ReportDlgConsole = new ReportDelegate(DefaultReport_Console)

Delegate that performs error reporting via console. It calls delegates ReportDlg to assemble error location information and ReportMessageDlg to assemble error message. Then it uses both to assemble the final decorated error message and launches it in its own way.

ReportLocationDelegate IG::Forms::ReporterForms::ReportLocationDlgConsole = new ReportLocationDelegate(DefaultReportLocation_Console)

Delegate that assembles the error location string for reporting via console.

ReportMessageDelegate IG::Forms::ReporterForms::ReportMessageDlgConsole = new ReportMessageDelegate(DefaultReportMessage_Console)

Delegate that assembles the eror message string for reporting via console.

bool IG::Forms::ReporterForms::_UseMessageBox = false`[private]`

ReportDelegate IG::Forms::ReporterForms::ReportDlgMessageBox = new ReportDelegate(DefaultReport_MessageBox)

Delegate that performs error reporting via message box. It calls delegates ReportDlg to assemble error location information and ReportMessageDlg to assemble error message. Then it uses both to assemble the final decorated error message and launches it in its own way.

ReportLocationDelegate IG::Forms::ReporterForms::ReportLocationDlgMessageBox = new ReportLocationDelegate(DefaultReportLocation_MessageBox)

Delegate that assembles the error location string for reporting via message box.

ReportMessageDelegate IG::Forms::ReporterForms::ReportMessageDlgMessageBox = new ReportMessageDelegate(DefaultReportMessage_MessageBox)

Delegate that assembles the eror message string for reporting via message box.

## Property Documentation

new bool IG::Forms::ReporterForms::GlobalInitialized`[static, get]`

Gets the value indicating whether the global reporter of this class has already been initialized.

Reimplemented from IG::Lib::ReporterBase.

new ReporterForms IG::Forms::ReporterForms::Global`[static, get, set]`

Gets the global reporter object. This is typically used for configuring the global reporter.

Reimplemented from IG::Lib::ReporterBase.

bool IG::Forms::ReporterForms::UseConsoleForm`[get, set]`

Gets or sets the flag specifying whether reporting using a console form is performed or not.

bool IG::Forms::ReporterForms::UseFadeMessage`[get, set]`

Gets or sets the flag specifying whether reporting using a fadinfg messagebox is performed or not.

bool IG::Forms::ReporterForms::UseConsole`[get, set]`

Gets or sets the flag specifying whether reporting using a system console is performed or not.

bool IG::Forms::ReporterForms::UseMessageBox`[get, set]`

Gets or sets the flag specifying whether reporting using a message box is performed or not.

The documentation for this class was generated from the following file:

- error_forms.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events